用mono-1.2.4_5-installer.bin安装后,monodevelop不能运行,大家帮忙

Python/PHP/Perl 开发与设计
回复
yuehuaqi
帖子: 20
注册时间: 2007-05-18 15:28
送出感谢: 0
接收感谢: 0

用mono-1.2.4_5-installer.bin安装后,monodevelop不能运行,大家帮忙

#1

帖子 yuehuaqi » 2007-07-05 11:00

ERROR: Add-in scan operation failed. The Mono runtime may have encountered an error while trying to load an assembly.
Checking: /home/yuehuaqi/.config/MonoDevelop/addins
Checking: /opt/mono-1.2.4/lib/monodevelop/bin
Checking: /opt/mono-1.2.4/lib/monodevelop/AddIns
Checking: /opt/mono-1.2.4/lib/monodevelop/AddIns/AspNetAddIn
Checking: /opt/mono-1.2.4/lib/monodevelop/AddIns/BackendBindings
Checking: /opt/mono-1.2.4/lib/monodevelop/AddIns/ChangeLogAddIn
Checking: /opt/mono-1.2.4/lib/monodevelop/AddIns/MonoDevelop.Autotools
Checking: /opt/mono-1.2.4/lib/monodevelop/AddIns/MonoDevelop.Deployment
Checking: /opt/mono-1.2.4/lib/monodevelop/AddIns/MonoDevelop.DesignerSupport
Checking: /opt/mono-1.2.4/lib/monodevelop/AddIns/MonoDevelop.GtkCore
Checking: /opt/mono-1.2.4/lib/monodevelop/AddIns/MonoDevelop.WebReferences
Checking: /opt/mono-1.2.4/lib/monodevelop/AddIns/MonoDeveloperExtensions
Checking: /opt/mono-1.2.4/lib/monodevelop/AddIns/MonoQuery
Checking: /opt/mono-1.2.4/lib/monodevelop/AddIns/NUnit
Checking: /opt/mono-1.2.4/lib/monodevelop/AddIns/VersionControl
Checking: /opt/mono-1.2.4/lib/monodevelop/AddIns/WelcomePage
Checking: /home/yuehuaqi/mono-1.2.4/lib/monodevelop/bin
Scanning file: /opt/mono-1.2.4/lib/monodevelop/bin/FirebirdSql.Data.Firebird.dll
Scanning file: /opt/mono-1.2.4/lib/monodevelop/bin/Mono.Addins.Gui.dll
Scanning file: /opt/mono-1.2.4/lib/monodevelop/bin/Mono.Addins.Setup.dll
Scanning file: /opt/mono-1.2.4/lib/monodevelop/bin/Mono.Addins.dll
Scanning file: /opt/mono-1.2.4/lib/monodevelop/bin/Mono.Cecil.dll
Scanning file: /opt/mono-1.2.4/lib/monodevelop/bin/MonoDevelop.Core.dll
Scanning file: /opt/mono-1.2.4/lib/monodevelop/bin/MonoDevelop.Dock.dll
Scanning file: /opt/mono-1.2.4/lib/monodevelop/bin/MonoDevelop.exe
Scanning file: /opt/mono-1.2.4/lib/monodevelop/AddIns/MonoDevelop.Components.dll
Scanning file: /opt/mono-1.2.4/lib/monodevelop/AddIns/MonoDevelop.Core.Gui.addin.xml
Could not load some add-in assemblies: Could not load file or assembly 'gtk-sharp, Version=2.8.0.0, Culture=neutral, PublicKeyToken=35e10195dab3c99f' or one of its dependencies.
Scanning file: /opt/mono-1.2.4/lib/monodevelop/AddIns/MonoDevelop.Core.Gui.dll
Scanning file: /opt/mono-1.2.4/lib/monodevelop/AddIns/MonoDevelop.Core.addin.xml
Scanning file: /opt/mono-1.2.4/lib/monodevelop/AddIns/MonoDevelop.Documentation.addin.xml
Scanning file: /opt/mono-1.2.4/lib/monodevelop/AddIns/MonoDevelop.Documentation.dll
Scanning file: /opt/mono-1.2.4/lib/monodevelop/AddIns/MonoDevelop.Ide.addin.xml
Could not load some add-in assemblies: Could not load file or assembly 'gtk-sharp, Version=2.8.0.0, Culture=neutral, PublicKeyToken=35e10195dab3c99f' or one of its dependencies.
Scanning file: /opt/mono-1.2.4/lib/monodevelop/AddIns/MonoDevelop.Ide.dll
ERROR: Add-in scan operation failed

Unhandled Exception: Mono.Addins.Setup.InstallException: Application not found: IDE
at MonoDevelop.Core.ApplicationService.StartApplication (System.String appId, System.String[] parameters) [0x00000]
at MonoDevelop.Startup.SharpDevelopMain.Main (System.String[] args) [0x00000]
yuehuaqi
帖子: 20
注册时间: 2007-05-18 15:28
送出感谢: 0
接收感谢: 0

上边说 Could not load file or assembly 'gtk-sharp,。。 我下载了源码

#2

帖子 yuehuaqi » 2007-07-05 11:07

yuehuaqi@yuehuaqi-desktop:~/Desktop/Setup/develop/mono/gtk-sharp-2.8.3$ ./configure --prefix=/opt/mono-1.2.4
checking build system type... i686-pc-linux
checking host system type... i686-pc-linux
checking target system type... i686-pc-linux
checking for a BSD-compatible install... /usr/bin/install -c
checking whether build environment is sane... yes
checking for gawk... no
checking for mawk... mawk
checking whether make sets $(MAKE)... yes
checking whether to enable maintainer-specific portions of Makefiles... no
checking for gcc... gcc
checking for gcc... (cached) gcc
checking for C compiler default output file name... a.out
checking whether the C compiler works... yes
checking whether we are cross compiling... no
checking for suffix of executables...
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether gcc accepts -g... yes
checking for gcc option to accept ANSI C... none needed
checking for style of include used by make... GNU
checking dependency style of gcc... gcc3
checking for gcc... (cached) gcc
checking whether we are using the GNU C compiler... (cached) yes
checking whether gcc accepts -g... (cached) yes
checking for gcc option to accept ANSI C... (cached) none needed
checking dependency style of gcc... (cached) gcc3
checking for a BSD-compatible install... /usr/bin/install -c
checking how to run the C preprocessor... gcc -E
checking for egrep... grep -E
checking for ANSI C header files... yes
checking for a sed that does not truncate output... /bin/sed
checking for ld used by gcc... /usr/bin/ld
checking if the linker (/usr/bin/ld) is GNU ld... yes
checking for /usr/bin/ld option to reload object files... -r
checking for BSD-compatible nm... /usr/bin/nm -B
checking whether ln -s works... yes
checking how to recognise dependent libraries... pass_all
checking for sys/types.h... yes
checking for sys/stat.h... yes
checking for stdlib.h... yes
checking for string.h... yes
checking for memory.h... yes
checking for strings.h... yes
checking for inttypes.h... yes
checking for stdint.h... yes
checking for unistd.h... yes
checking dlfcn.h usability... yes
checking dlfcn.h presence... yes
checking for dlfcn.h... yes
checking for g++... g++
checking whether we are using the GNU C++ compiler... yes
checking whether g++ accepts -g... yes
checking dependency style of g++... gcc3
checking how to run the C++ preprocessor... g++ -E
checking for g77... no
checking for f77... no
checking for xlf... no
checking for frt... no
checking for pgf77... no
checking for fort77... no
checking for fl32... no
checking for af77... no
checking for f90... no
checking for xlf90... no
checking for pgf90... no
checking for epcf90... no
checking for f95... no
checking for fort... no
checking for xlf95... no
checking for ifc... no
checking for efc... no
checking for pgf95... no
checking for lf95... no
checking for gfortran... no
checking whether we are using the GNU Fortran 77 compiler... no
checking whether accepts -g... no
checking the maximum length of command line arguments... 32768
checking command to parse /usr/bin/nm -B output from gcc object... ok
checking for objdir... .libs
checking for ar... ar
checking for ranlib... ranlib
checking for strip... strip
checking if gcc static flag works... yes
checking if gcc supports -fno-rtti -fno-exceptions... no
checking for gcc option to produce PIC... -fPIC
checking if gcc PIC flag -fPIC works... yes
checking if gcc supports -c -o file.o... yes
checking whether the gcc linker (/usr/bin/ld) supports shared libraries... yes
checking whether -lc should be explicitly linked in... no
checking dynamic linker characteristics... cat: /etc/ld.so.conf.d/*.conf: No such file or directory
GNU/Linux ld.so
checking how to hardcode library paths into programs... immediate
checking whether stripping libraries is possible... yes
checking if libtool supports shared libraries... yes
checking whether to build shared libraries... yes
checking whether to build static libraries... yes
configure: creating libtool
appending configuration tag "CXX" to libtool
checking for ld used by g++... /usr/bin/ld
checking if the linker (/usr/bin/ld) is GNU ld... yes
checking whether the g++ linker (/usr/bin/ld) supports shared libraries... yes
checking for g++ option to produce PIC... -fPIC
checking if g++ PIC flag -fPIC works... yes
checking if g++ supports -c -o file.o... yes
checking whether the g++ linker (/usr/bin/ld) supports shared libraries... yes
checking dynamic linker characteristics... cat: /etc/ld.so.conf.d/*.conf: No such file or directory
GNU/Linux ld.so
checking how to hardcode library paths into programs... immediate
checking whether stripping libraries is possible... yes
appending configuration tag "F77" to libtool
checking for void *... yes
checking size of void *... 4
checking for pkg-config... /opt/mono-1.2.4/bin/pkg-config
checking pkg-config is at least version 0.9.0... yes
checking for MONO_DEPENDENCY... yes
checking for gacutil... /opt/mono-1.2.4/bin/gacutil
checking for al... /opt/mono-1.2.4/bin/al
checking for mono... /opt/mono-1.2.4/bin/mono
checking for mcs... /opt/mono-1.2.4/bin/mcs
checking for MONO_CAIRO... yes
checking for GLIB... yes
checking for PANGO... yes
checking for GTK... yes
checking for LIBART... yes
checking for GNOMEVFS... yes
checking for GNOME... Package libgnomeprintui-2.2 was not found in the pkg-config search path.
Perhaps you should add the directory containing `libgnomeprintui-2.2.pc'
to the PKG_CONFIG_PATH environment variable
No package 'libgnomeprintui-2.2' found
checking for GLADE... yes
checking for RSVG_DEPENDENCIES... Package librsvg-2.0 was not found in the pkg-config search path.
Perhaps you should add the directory containing `librsvg-2.0.pc'
to the PKG_CONFIG_PATH environment variable
No package 'librsvg-2.0' found
checking for VTE_DEPENDENCIES... Package vte was not found in the pkg-config search path.
Perhaps you should add the directory containing `vte.pc'
to the PKG_CONFIG_PATH environment variable
No package 'vte' found
checking for mdassembler... /opt/mono-1.2.4/bin/mdassembler
checking for monodocer... /opt/mono-1.2.4/bin/monodocer
configure: creating ./config.status
config.status: creating AssemblyInfo.cs
config.status: creating Makefile
config.status: creating policy.config
config.status: creating sources/Makefile
config.status: creating parser/Makefile
config.status: creating parser/gapi-2.0.pc
config.status: creating parser/gapi2-fixup
config.status: creating parser/gapi2-parser
config.status: creating generator/Makefile
config.status: creating generator/gapi2-codegen
config.status: creating glib/Makefile
config.status: creating glib/glib-sharp-2.0.pc
config.status: creating glib/glib-sharp.dll.config
config.status: creating glib/glue/Makefile
config.status: creating pango/Makefile
config.status: creating pango/pango-sharp.dll.config
config.status: creating pango/glue/Makefile
config.status: creating atk/Makefile
config.status: creating atk/atk-sharp.dll.config
config.status: creating art/Makefile
config.status: creating art/art-sharp.dll.config
config.status: creating art/art-sharp-2.0.pc
config.status: creating gdk/Makefile
config.status: creating gdk/gdk-sharp.dll.config
config.status: creating gdk/glue/Makefile
config.status: creating gtk/Makefile
config.status: creating gtk/gtk-sharp-2.0.pc
config.status: creating gtk/gtk-sharp.dll.config
config.status: creating gtk/glue/Makefile
config.status: creating glade/Makefile
config.status: creating glade/glade-sharp.dll.config
config.status: creating glade/glade-sharp-2.0.pc
config.status: creating glade/glue/Makefile
config.status: creating gnome/Makefile
config.status: creating gnome/gnome-sharp.dll.config
config.status: creating gnome/gnome-sharp-2.0.pc
config.status: creating gnome/glue/Makefile
config.status: creating gnomevfs/Makefile
config.status: creating gnomevfs/gnome-vfs-sharp.dll.config
config.status: creating gnomevfs/gnome-vfs-sharp-2.0.pc
config.status: creating gconf/Makefile
config.status: creating gconf/doc/Makefile
config.status: creating gconf/GConf/Makefile
config.status: creating gconf/GConf/gconf-sharp.dll.config
config.status: creating gconf/GConf/gconf-sharp-2.0.pc
config.status: creating gconf/GConf.PropertyEditors/Makefile
config.status: creating gconf/tools/Makefile
config.status: creating gconf/tools/gconfsharp2-schemagen
config.status: creating gtkhtml/Makefile
config.status: creating gtkhtml/gtkhtml-sharp.dll.config
config.status: creating gtkhtml/gtkhtml-sharp-2.0.pc
config.status: creating rsvg/Makefile
config.status: creating rsvg/rsvg-sharp.dll.config
config.status: creating rsvg/rsvg-sharp-2.0.pc
config.status: creating vte/Makefile
config.status: creating vte/glue/Makefile
config.status: creating vte/vte-sharp.dll.config
config.status: creating vte/vte-sharp-2.0.pc
config.status: creating gtkdotnet/Makefile
config.status: creating gtkdotnet/gtk-dotnet.dll.config
config.status: creating gtkdotnet/gtk-dotnet-2.0.pc
config.status: creating doc/Makefile
config.status: creating sample/GtkDemo/Makefile
config.status: creating sample/Makefile
config.status: creating sample/gconf/Makefile
config.status: creating sample/gnomevfs/Makefile
config.status: creating sample/pixmaps/Makefile
config.status: creating sample/rsvg/Makefile
config.status: creating sample/test/Makefile
config.status: creating sample/valtest/Makefile
config.status: creating sample/valtest/valtest.exe.config
config.status: creating sample/opaquetest/Makefile
config.status: creating sample/opaquetest/opaquetest.exe.config
config.status: creating sample/cairo-sample.exe.config
config.status: creating config.h
config.status: config.h is unchanged
config.status: executing depfiles commands
---
Configuration summary

* Installation prefix = /opt/mono-1.2.4
* C# compiler: /opt/mono-1.2.4/bin/mcs -define:GTK_SHARP_2_6 -define:GTK_SHARP_2_8

Optional assemblies included in the build:

* art-sharp.dll: yes
* gnomevfs-sharp.dll: yes
* gnome-sharp.dll: no
* glade-sharp.dll: yes
* rsvg-sharp.dll: no
* gtkhtml-sharp.dll: no
* vte-sharp.dll: no
* gtk-dotnet.dll: yes

NOTE: if any of the above say 'no' you may install the
corresponding development packages for them, rerun
autogen.sh to include them in the build.

* Documentation build enabled: yes
---
头像
karron
帖子: 6226
注册时间: 2005-06-11 14:03
来自: 不明真相的群众
送出感谢: 0
接收感谢: 0
联系:

#3

帖子 karron » 2007-07-05 11:48

安装monodevelop只需要一句话.
sudo apt-get install monodevelop
我的blog,关于技术,软件,linux,vim <---- 所有博客均被河蟹.
yuehuaqi
帖子: 20
注册时间: 2007-05-18 15:28
送出感谢: 0
接收感谢: 0

#4

帖子 yuehuaqi » 2007-07-05 16:11

to:楼上,那个样子安装的monodevelop是0.12版本的,范型之类的东西没办法编译
我想把vs2005的项目转成mono的项目,必须要0.14版本的monodevelop,sudo apt-get install monodevelop是行不通的
yuehuaqi
帖子: 20
注册时间: 2007-05-18 15:28
送出感谢: 0
接收感谢: 0

搞定了,NND,搞到现在~

#5

帖子 yuehuaqi » 2007-07-22 0:39

改天把详细过程发上来,现在简单的介绍下:
主要就是gtk-sharp2。8这个assembliy的问题,需要手工编译,首先要解决的就是上边编译过程中的所有的no的问题,这个是最简单却又最繁琐的过程,看到提示,就去搜索相应的package,大部分需要以“-dev”结尾的。这些搞定之后就是(mono1.2.4的安装是用root帐户安装的,下面也要用root的帐户来编译gtk-sharp2。8)

./configure --prefix=/opt/mono-1.2.4/
sudo make
sudo make install
回复

回到 “Python/Php/Perl”